Subject: Re: bug#18601: 24.3.94; set-fringe-mode with left fringe 0 breaks window width calculations on Mac OS

From: martin rudalics <[email-masked]>
Date: Thu, 02 Oct 2014 20:44:31 +0200

> The Emacs pretest released earlier today has a window width
 > calculation bug on Mac OS X when the window left fringe is turned off.
 > This bug is not present in the previous Emacs pretest, version
 > 24.3.93.
 >
 > The outward symptoms of this bug are similar to those #16470, fixed in
 > January of this year.

Did it work after #16470 was fixed?

 > To reproduce, do the following:
 >
 > 1. Start Emacs 24.3.94 (with -Q to avoid loading initialization files).
 > 2. Execute this Elisp: (set-fringe-mode '(0 . 2))
 > 3. Execute M-x ansi-term and select /bin/zsh as your shell.
 > 4. Run 'ls' or any other command in the shell. Notice the spurious %
 > characters printed everywhere. This is the bug.
 >
 > Setting the fringe to '(1 . 2) makes the problem go away.

Please post the results of `window--dump-frame' for both the (0 . 2) and
the (1 . 2) fringes frame.  I suppose the frame has only one window.

 > I'm wondering if this commit is related to this bug?
 > http://git.savannah.gnu.org/cgit/emacs.git/commit/?h=emacs-24&id=984a7aaadb9c10a60621b729a86d6b13a471b92b

To verify you could easily try using the old code instead.  But I doubt
that this is related.

martin